Next: Data Modification Times, Previous: Unlink First, Up: Writing [Contents][Index]

#### Recursive Unlink

`--recursive-unlink`

  When this option is specified, try removing files and directory hierarchies before extracting over them. This is a dangerous option!

If you specify the `--recursive-unlink` option, `tar` removes anything that keeps you from extracting a file as far as current permissions will allow it. This could include removal of the contents of a full directory hierarchy.